<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_scalar_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_scalar_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_scalar_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Scalar object descriptor as placed in shared memory. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html#a03553e82f3b8f57db56f13119f664d06">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a03553e82f3b8f57db56f13119f664d06"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html#a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc">data_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The value contained in the reference for a scalar type.  <a href="#a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html#ad07afbbc304bb4f9018d6ff7d8eb95aa">rsv</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reserved field to make below union on 64b aligned boundary.  <a href="#ad07afbbc304bb4f9018d6ff7d8eb95aa"></a><br/></td></tr>
<tr><td class="memItemLeft" >union {</td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a49c0bd1d68fb097bbd524d83c39cdb5a">chr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A character.  <a href="#a4e71e60386409adf69e145b7ec584d22"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a4bb9840db3fea374224e831b2d3d868a">vx_int8</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a7a9043b8a8ee2efd731495fabb325ce5">s08</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Signed 8 bit.  <a href="#a49aa4737a7c31982c001b5fd48ade49b"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a65b4b79a2151d5183dc01eebc0f1e3e8">u08</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unsigned 8 bit.  <a href="#ae5cdbcf3e9ef9e73d363d7aa2142a442"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a26c6ff9283467866f2640bceba3341f4">vx_int16</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a291f4b4b58bdf659f4dcae5161c6b12e">s16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Signed 16 bit.  <a href="#a2ed3afeb1da1f2db697e9a6cc3198923"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a23fad3d6af10532a44a2d497b7a9e6eb">vx_uint16</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a0597e4d9e73071970dcd0fa88362da38">u16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unsigned 16 bit.  <a href="#a9d7389154006ff3ccbf85a6882e7cb86"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#af658d2b5f3081270cfe9b34a2c59bde4">s32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Signed 32 bit.  <a href="#a036b5a10fe1e048bd2d5c216cbef06bd"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a03d9d55d694a467bfbf674a3ae6e23a0">u32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unsigned 32 bit.  <a href="#a83f12e7b2b1bc5ed9eebc13c0645eca0"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#ae1aa1cc6d0a77ddc362add072ef6a9b2">vx_int64</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a75f42532e836aaf9f2e525e8994ae4ca">s64</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Signed 64 bit.  <a href="#a011e330aca4688f6367fe7744a906048"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#ae1aa1cc6d0a77ddc362add072ef6a9b2">vx_int64</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a82a4c73591c0a59296e9e20a0bd41bbc">u64</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unsigned 64 bit.  <a href="#a619d20e98e2e26a8627708a20a189237"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a2a6b05f79890aec60e37f09ebeba9ad9">f32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">32 bit float  <a href="#a5b4118ea34a66b1a0eac7d6c270addc3"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a3718da3659bf64bccb45830294edc59e">vx_float64</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#ab3d49af3e23ce491fca7aa497941cc6d">f64</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">64 bit float  <a href="#a42d9a78f9206b05987f300bbc9347216"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a60035ff3b528561d1ab322deb2f8c11b">fcc</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">32 bit image format code  <a href="#a79ab1df64b2f188708d8ecdfe3b080b4"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a65328459f8172c655645286e062d2fe1">enm</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Signed 32 bit.  <a href="#a3b06664951402ad4255c8af96e14e599"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#a0480d9fa0cf43b39c5991bc6966584e2">size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Architecture depth unsigned value.  <a href="#a45559ba9c67043b21d2ad58b2646df61"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__obj__desc__scalar__t.html#ac3ee1c4ebdb2b3963098d6af9bd5448d">boolean</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Boolean Values.  <a href="#aed70785ba27f17255b610916470f0165"></a><br/></td></tr>
<tr><td class="memItemLeft" valign="top">}&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html#a707ef3aae2b9be4e4562e30dab797327">data</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a03553e82f3b8f57db56f13119f664d06"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::base" ref="a03553e82f3b8f57db56f13119f664d06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a03553e82f3b8f57db56f13119f664d06">tivx_obj_desc_scalar_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::data_type" ref="a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__scalar__t.html#a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc">tivx_obj_desc_scalar_t::data_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The value contained in the reference for a scalar type. </p>

</div>
</div>
<a class="anchor" id="ad07afbbc304bb4f9018d6ff7d8eb95aa"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::rsv" ref="ad07afbbc304bb4f9018d6ff7d8eb95aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__scalar__t.html#ad07afbbc304bb4f9018d6ff7d8eb95aa">tivx_obj_desc_scalar_t::rsv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reserved field to make below union on 64b aligned boundary. </p>

</div>
</div>
<a class="anchor" id="a49c0bd1d68fb097bbd524d83c39cdb5a"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::chr" ref="a49c0bd1d68fb097bbd524d83c39cdb5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a49c0bd1d68fb097bbd524d83c39cdb5a">tivx_obj_desc_scalar_t::chr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A character. </p>

</div>
</div>
<a class="anchor" id="a7a9043b8a8ee2efd731495fabb325ce5"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::s08" ref="a7a9043b8a8ee2efd731495fabb325ce5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a4bb9840db3fea374224e831b2d3d868a">vx_int8</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a7a9043b8a8ee2efd731495fabb325ce5">tivx_obj_desc_scalar_t::s08</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Signed 8 bit. </p>

</div>
</div>
<a class="anchor" id="a65b4b79a2151d5183dc01eebc0f1e3e8"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::u08" ref="a65b4b79a2151d5183dc01eebc0f1e3e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a65b4b79a2151d5183dc01eebc0f1e3e8">tivx_obj_desc_scalar_t::u08</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unsigned 8 bit. </p>

</div>
</div>
<a class="anchor" id="a291f4b4b58bdf659f4dcae5161c6b12e"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::s16" ref="a291f4b4b58bdf659f4dcae5161c6b12e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a26c6ff9283467866f2640bceba3341f4">vx_int16</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a291f4b4b58bdf659f4dcae5161c6b12e">tivx_obj_desc_scalar_t::s16</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Signed 16 bit. </p>

</div>
</div>
<a class="anchor" id="a0597e4d9e73071970dcd0fa88362da38"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::u16" ref="a0597e4d9e73071970dcd0fa88362da38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a23fad3d6af10532a44a2d497b7a9e6eb">vx_uint16</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a0597e4d9e73071970dcd0fa88362da38">tivx_obj_desc_scalar_t::u16</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unsigned 16 bit. </p>

</div>
</div>
<a class="anchor" id="af658d2b5f3081270cfe9b34a2c59bde4"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::s32" ref="af658d2b5f3081270cfe9b34a2c59bde4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#af658d2b5f3081270cfe9b34a2c59bde4">tivx_obj_desc_scalar_t::s32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Signed 32 bit. </p>

</div>
</div>
<a class="anchor" id="a03d9d55d694a467bfbf674a3ae6e23a0"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::u32" ref="a03d9d55d694a467bfbf674a3ae6e23a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a03d9d55d694a467bfbf674a3ae6e23a0">tivx_obj_desc_scalar_t::u32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unsigned 32 bit. </p>

</div>
</div>
<a class="anchor" id="a75f42532e836aaf9f2e525e8994ae4ca"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::s64" ref="a75f42532e836aaf9f2e525e8994ae4ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae1aa1cc6d0a77ddc362add072ef6a9b2">vx_int64</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a75f42532e836aaf9f2e525e8994ae4ca">tivx_obj_desc_scalar_t::s64</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Signed 64 bit. </p>

</div>
</div>
<a class="anchor" id="a82a4c73591c0a59296e9e20a0bd41bbc"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::u64" ref="a82a4c73591c0a59296e9e20a0bd41bbc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae1aa1cc6d0a77ddc362add072ef6a9b2">vx_int64</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a82a4c73591c0a59296e9e20a0bd41bbc">tivx_obj_desc_scalar_t::u64</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unsigned 64 bit. </p>

</div>
</div>
<a class="anchor" id="a2a6b05f79890aec60e37f09ebeba9ad9"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::f32" ref="a2a6b05f79890aec60e37f09ebeba9ad9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a2a6b05f79890aec60e37f09ebeba9ad9">tivx_obj_desc_scalar_t::f32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>32 bit float </p>

</div>
</div>
<a class="anchor" id="ab3d49af3e23ce491fca7aa497941cc6d"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::f64" ref="ab3d49af3e23ce491fca7aa497941cc6d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a3718da3659bf64bccb45830294edc59e">vx_float64</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#ab3d49af3e23ce491fca7aa497941cc6d">tivx_obj_desc_scalar_t::f64</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>64 bit float </p>

</div>
</div>
<a class="anchor" id="a60035ff3b528561d1ab322deb2f8c11b"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::fcc" ref="a60035ff3b528561d1ab322deb2f8c11b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a60035ff3b528561d1ab322deb2f8c11b">tivx_obj_desc_scalar_t::fcc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>32 bit image format code </p>

</div>
</div>
<a class="anchor" id="a65328459f8172c655645286e062d2fe1"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::enm" ref="a65328459f8172c655645286e062d2fe1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a65328459f8172c655645286e062d2fe1">tivx_obj_desc_scalar_t::enm</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Signed 32 bit. </p>

</div>
</div>
<a class="anchor" id="a0480d9fa0cf43b39c5991bc6966584e2"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::size" ref="a0480d9fa0cf43b39c5991bc6966584e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#a0480d9fa0cf43b39c5991bc6966584e2">tivx_obj_desc_scalar_t::size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Architecture depth unsigned value. </p>

</div>
</div>
<a class="anchor" id="ac3ee1c4ebdb2b3963098d6af9bd5448d"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::boolean" ref="ac3ee1c4ebdb2b3963098d6af9bd5448d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__obj__desc__scalar__t.html#ac3ee1c4ebdb2b3963098d6af9bd5448d">tivx_obj_desc_scalar_t::boolean</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Boolean Values. </p>

</div>
</div>
<a class="anchor" id="a707ef3aae2b9be4e4562e30dab797327"></a><!-- doxytag: member="tivx_obj_desc_scalar_t::data" ref="a707ef3aae2b9be4e4562e30dab797327" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }   <a class="el" href="structtivx__obj__desc__scalar__t.html#a707ef3aae2b9be4e4562e30dab797327">tivx_obj_desc_scalar_t::data</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
